<?php
// Include config & login validate file
require_once 'includes/validateUser.php';

if(isset($_SESSION['signup_post_data'])){
	// Get not submitted form data from session
	$signup_post_data = $_SESSION['signup_post_data'];
	
	// Remove post data from session
	unset($_SESSION['signup_post_data']);
}

if(isset($_SESSION['sessData']['field_error'])){
	// Get form field error from session
	$fieldError = $_SESSION['sessData']['field_error'];
	
	// Remove field error data from session
	unset($_SESSION['field_error']['sessData']);
}
?>
<!DOCTYPE html>
<html>
<!DOCTYPE html>
<html lang="en-US">
<head>
	<!--head-->
	<?php include_once 'elements/head.php'; ?>
	<!--//head-->
</head>
<body>
<div class="container">
    <!--header-->
    <?php include_once 'elements/header.php'; ?>
    <!--//header-->
    
    <!--main-->
	<div class="main-content">
		<div class="wrapper-frm">
            <h2>Create a New Account</h2>
            <div class="top">
				<?php echo !empty($statusMsg)?'<p class="status-msg '.$statusMsgType.'">'.$statusMsg.'</p>':''; ?>
                <form action="<?php echo BASE_URL; ?>userAccount.php" method="post">
                    <div class="frm-input <?php echo !empty($fieldError['first_name'])?'error':''; ?>">
                        <input type="text" name="first_name" class="user-in" placeholder="First name" value="<?php echo !empty($signup_post_data['first_name'])?$signup_post_data['first_name']:''; ?>" required="">
                        <?php echo !empty($fieldError['first_name'])?'<p>'.$fieldError['first_name'].'</p>':''; ?>
                    </div>
                    <div class="frm-input <?php echo !empty($fieldError['last_name'])?'error':''; ?>">
                        <input type="text" name="last_name" class="user-in" placeholder="Last name" value="<?php echo !empty($signup_post_data['last_name'])?$signup_post_data['last_name']:''; ?>" required="">
						<?php echo !empty($fieldError['last_name'])?'<p>'.$fieldError['last_name'].'</p>':''; ?>
                    </div>
                    <div class="frm-input">
                        <input type="text" name="phone" class="phone-in" placeholder="Phone" value="<?php echo !empty($signup_post_data['phone'])?$signup_post_data['phone']:''; ?>">
                    </div>
					<div class="frm-input">
                        <input type="text" name="address" class="addr-in" placeholder="Address" value="<?php echo !empty($signup_post_data['address'])?$signup_post_data['address']:''; ?>">
                    </div>
                    <div class="frm-input <?php echo !empty($fieldError['email'])?'error':''; ?>">
                        <input type="email" name="email" class="email-in" placeholder="Email" value="<?php echo !empty($signup_post_data['email'])?$signup_post_data['email']:''; ?>" required="">
						<?php echo !empty($fieldError['email'])?'<p>'.$fieldError['email'].'</p>':''; ?>
                    </div>
                    <div class="frm-input <?php echo !empty($fieldError['password'])?'error':''; ?>">
                        <input type="password" name="password" class="pass-in" placeholder="Password" required="">
						<?php echo !empty($fieldError['password'])?'<p>'.$fieldError['password'].'</p>':''; ?>
                    </div>
                    <div class="frm-input <?php echo !empty($fieldError['confirm_password'])?'error':''; ?>">
                        <input type="password" name="confirm_password" class="pass-in" placeholder="Confirm Password" required="">
						<?php echo !empty($fieldError['confirm_password'])?'<p>'.$fieldError['confirm_password'].'</p>':''; ?>
                    </div>
                    <div class="frm-btn">
                        <input type="submit" name="signupSubmit" value="Sign Up">
                    </div>
                </form>
            </div>
            <div class="bottom">
                <p>Already Have an Account? <a href="<?php echo BASE_URL; ?>index.php">Login</a></p>
            </div>
		</div>
	</div>
	<!--//main-->
    
	<!--footer-->
	<?php include_once 'elements/footer.php'; ?>
	<!--//footer-->
</div>
</body>
</html>